commit:     6a6b8f73b6ab6fcb4c8121bd1f528fe09ac03005
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 17 12:52:47 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jun 17 13:00:58 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a6b8f73

dev-python/fakeredis: Remove stray LICENSE file

Closes: https://bugs.gentoo.org/958307
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/fakeredis/fakeredis-2.30.0.ebuild | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/dev-python/fakeredis/fakeredis-2.30.0.ebuild 
b/dev-python/fakeredis/fakeredis-2.30.0.ebuild
index bdf61118df69..5cf3ea2e5ddb 100644
--- a/dev-python/fakeredis/fakeredis-2.30.0.ebuild
+++ b/dev-python/fakeredis/fakeredis-2.30.0.ebuild
@@ -35,6 +35,13 @@ BDEPEND="
 # pytest-xdist: tests are not parallel-safe
 distutils_enable_tests pytest
 
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # https://github.com/cunla/fakeredis-py/issues/395
+       sed -i -e '/LICENSE/d' pyproject.toml || die
+}
+
 python_test() {
        local EPYTEST_DESELECT=(
                # also lupa

Reply via email to